View Issue Details

IDProjectCategoryView StatusLast Update
0006913GNUnetutil librarypublic2022-02-26 23:10
Reportergmacedo Assigned Toschanzen  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.14.1 
Target Version0.15.0Fixed in Version0.16.0 
Summary0006913: Segmentation fault while writing full config with gnunet-config
Descriptiongnunet-config will segfault when trying to write the full configuration file.

# gnunet-config -F
Segmentation fault
Steps To ReproduceExecute `gnunet-config -F`
Additional InformationGNUnet version:

# gnunet-config -v
gnunet-config v0.14.1 git-2a1a812f3
Tagsbug

Activities

gmacedo

2021-07-04 17:03

reporter   ~0017981

Please let me know if there is any info that I can send to help debugging.

schanzen

2021-07-05 09:46

manager   ~0017982

Fixed in b102545f6..56af99b50

schanzen

2022-02-26 23:10

manager   ~0018736

0.16.0 released

Issue History

Date Modified Username Field Change
2021-07-04 11:49 gmacedo New Issue
2021-07-04 11:49 gmacedo Tag Attached: bug
2021-07-04 17:03 gmacedo Note Added: 0017981
2021-07-05 09:46 schanzen Assigned To => schanzen
2021-07-05 09:46 schanzen Status new => resolved
2021-07-05 09:46 schanzen Resolution open => fixed
2021-07-05 09:46 schanzen Fixed in Version => 0.16.0
2021-07-05 09:46 schanzen Note Added: 0017982
2021-07-05 09:46 schanzen Fixed in Version 0.16.0 => 0.15.0
2021-07-05 09:47 schanzen Fixed in Version 0.15.0 => Git master
2021-07-05 09:47 schanzen Target Version => 0.15.0
2021-07-05 09:47 schanzen Category other => util library
2022-02-22 23:05 schanzen Fixed in Version Git master => 0.16.0
2022-02-26 23:10 schanzen Note Added: 0018736
2022-02-26 23:10 schanzen Status resolved => closed